/**
* @package		Joomla & QuickForm
* @Copyright ((c) plasma-web.ru
*/

.appointment {
    position: relative;
    padding: 1em 3em;
    background: #ffffff;
    max-width: 800px;
    margin: 2em auto;
    color: #373737; /*цвет всего текста*/
    border-radius: 0.5em;
    font-size: 14px;
    box-shadow: 0px 6px 10px #000000; /*тень под всей формой*/
}

.appointment.compact {
    padding: 1em 1em;
}

.appointment * {
    margin: 0;
    box-sizing: border-box;
    max-width: none;
    font-size: 1em;
    line-height: 1.2em;
}

.appointment .apotopflex {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    flex-direction: row-reverse;
    height: 300px;
}
.appointment .apotopflex .ver {
    width: 50%;
    padding: 0 0 0 2em;
}
.appointment .apotopflex .relatedblock {
    width: 50%;
    text-align: center;
}
.appointment .apotopflex img {
    width: 100%;
    max-width: 300px;
}

.appointment .apotopflex .qfradio.ver .radioblok label {
    height: 60px;
    margin: 1em 0;
    cursor: pointer;
    border: 1px solid #ccc;
    border-radius: 1em 2em 2em 0;
    padding: 5px 20px 5px 5px;
    display: flex;
    align-items: center;
    line-height: 100%;
}
.appointment .apotopflex .qfradio.ver .radioblok input:checked + label {
    background: #FFA855;                                                      /*цвет плашек с выбором авто*/
}
.appointment .apotopflex .radioblok input {
    display: none;
}
.appointment .apotopflex .radioblok img {
    height: 50px;
    width: auto;
    vertical-align: middle;
    margin-right: 1em;
    border-radius: 1em 0 0 0;
}


.appointment .apomidleflex {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
    margin-top: 2em;
}
.appointment .apomidleflex > div {
    width: 50%;
    max-width: 300px;
}

.appointment .apomidleflex .radioblok {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

/* КАЛЕНДАРЬ */
.appointment .qfcalendar.qf3txt input {
    display: none;
}
.appointment .widgetCalendar, .appointment .apomidleflex div.datepicker {
    height: 200px !important;
}
.appointment .datepickerContainer, .appointment td.datepickerDay {
    background: #ffffff;
}
.appointment div.datepicker a {
    color: #0a194d; /*цвет чисел текущей недели, месяца и т.д.*/
    cursor: pointer;
}
.appointment div.datepicker a:hover {
    color: #477292;
}
.appointment div.datepicker table td {
    border: 0;
    text-align: center;
}
.appointment td.datepickerSaturday a, .appointment td.datepickerSunday a {
    color: #ff0000;
}
.appointment div.datepicker th {
    color: #000;
    line-height: 3em;
}
.appointment th.datepickerWeek span {
    color: #000;
}
.appointment td.datepickerNotInMonth a {
    color: #8b8a8a;
}
.appointment tbody.datepickerDays td.datepickerSelected {
    background: #FFA855; /*цвет выбранной даты*/
}
.appointment td.datepickerDisabled a {
    color: #b3b3b3;
    cursor: default;
}
.appointment .datepickerGoNext span {
    position: relative;
    right: 1em;
    font-size: 120%;
}
.appointment .datepickerGoPrev span {
    position: relative;
    left: 1em;
    font-size: 120%;
}



.appointment .hor .radioblok {
    display: flex;
    justify-content: space-evenly;
}

.appointment .qfflex {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
}
.appointment .qfflex > div {
    width: 49%;
}
.appointment .qfflex > div.qf3label {
    width: 38%;
}
.appointment .qfflex > div.qfflex {
    width: 62%;
}
.appointment .qfflex > .qfflex > .qf3 {
    padding: 0;
}
.appointment.compact .qfflex > .qfflex > .qf3 {
    padding-bottom: 1em;
}
.appointment .apobox {
    border: 1px solid #FFA855; /*цвет больших рамок вокруг блоков*/
    border-radius: 0.5em;
    padding: 1em 2em;
    margin: 0.5em 0;
}
.appointment .contacth3.qf3label {
    margin: 3em 0 0;
}
.appointment .contacttitle {
    padding: 1em 0 2em;
    text-shadow: none;
    font: 92% sans-serif;
    color: #7e7e7e;
    text-align: center;
}



.appointment .qf3 {
    padding: 0 0 2em 0;
}

.appointment .qf3label {
    display: block;
    padding: 0.1em 0;
}

.appointment .qf3txt input, .appointment select, .appointment textarea {
    display: inline-block;
    width: 100%;
    background: #fff;
    padding: 0.7em 0.5em;
    border: 1px solid #FFA855; /*цвет рамки в Параметрах груза*/
    border-radius: 0.3em;
    font-size: 90%;
    box-shadow: 0 0 10px #dfffff; /*цвет тени вокруг рамок в Параметрах груза*/
}

.appointment .qf3txt input[type="range"] {
    box-shadow: none;
}

.appointment .qf3txt input.invalid, .appointment select.invalid, .appointment textarea.invalid {
    border: 1px solid #ff6161;
}

.appointment .qf3labelreq {
    padding-left: 0.1em;
}

a.qf3modal.appointment {
    display: inline-block;
    padding: 0.1em 1em;
    border-radius: 1em;
    background: #e1ffff;
    color: #343434;
    text-decoration: none;
    box-shadow: 2px 3px 7px 0px #7d7d7d;
}

a.qf3modal.appointment:hover {
    background: #ffffff;
}

/*modal form*/
.appointment.qfoverlay {
    background-color: #FFA855;
    opacity: 0.96;
    max-width: none;
}

.appointment.qfmodalform {
    padding: 1em;
    left: 19%;
    width: 62%;
    margin: 0;
    max-width: initial;
}
@media screen and (max-width:1000px) {
  .appointment.qfmodalform {
      left: 10%;
      width: 80%;
  }
}

.appointment.qfmodalform.compact {
    left: 0;
    width: 100%;
    margin-left: 0;
}

.appointment .qfclose {
    position: absolute;
    top: 0em;
    right: 0;
    cursor: pointer;
    color: #ff0000;
    font-size: 2em;
    text-shadow: none;
    padding: 0.5em;
}

.appointment.desk {
  	scrollbar-width: thin;
  	scrollbar-color: #08403c #95eded;
}

.appointment.desk::-webkit-scrollbar {
    width: 6px;
}

.appointment.desk::-webkit-scrollbar-track {
    background: #95eded;
}

.appointment.desk::-webkit-scrollbar-thumb {
    background-color: #08403c;
    border-radius: 5px;
}

/*ajax form*/
.appointment .qfajaxres {
    margin: 10px;
}

/* message */
.appointment .qfmess span {
    padding: 1em;
    margin: 1em;
    display: block;
}

/* radio */
.appointment .qfradio.ver .qf3label {
    vertical-align: top;
}

.appointment .qfradio.ver input {
    vertical-align: middle;
}
.appointment .qfradio.ver .radioblok label {
    display: block;
    line-height: 0;
    height: 1em;
    margin: -0.6em 0 0.3em 1.6em;
}

.appointment .qfradio.hor .radioblok label {
    display: flex;
    margin: 1em 0em;
    padding: 0.3em;
    border: 1px solid #b1b1b1;
    cursor: pointer;
    /*box-shadow: inset 0px 2px 10px 0px #b7baba;*/ /*цвет тени НЕВЫБРАННЫХ основных скругленных окнах выбора*/
    border-radius: 2em;
    line-height: normal;
    width: 30%;
    text-align: center;
    align-items: center;
    justify-content: center;
}

.appointment .qfradio.hor .radioblok input {
    z-index: -1;
    position: absolute;
    opacity: 0;
}

.appointment .qfradio.hor .radioblok input:checked + label {
    box-shadow: inset 6px 5px 20px 20px #FFA855; /*цвет тени в ВЫБРАННЫХ основных скругленных окнах выбора*/
}

.appointment .box_radioflex {
    display: flex;
    align-items: center;
    padding: 3em 0 2em;
}

.appointment .box_radioflex .qf3label {
    width: 38%;
}
.appointment .box_radioflex .radioblok {
    width: 62%;
    justify-content: space-between;
}

/* textarea */
.appointment textarea {
    height: 10em;
    max-width: 100%;
    min-width: 100%;
}

/* backemail */
.appointment .qfbackemail {
    text-align: center;
    padding: 0;
}

/* checkbox */
.appointment .qfcheckbox input,
.appointment .qfbackemail input {
    margin: 0 0.5em 0 0;
    vertical-align: middle;
}

.appointment .qfchkbx {
    display: inline-block;
    padding: 0.5em 0;
}

/* hidden */
.appointment .qfhidden {
    display: none;
}

/* button */
.appointment .qfsubmit {
    text-align: center;
    padding: 2.5em 0;
}
.appointment .qf3btn input {
    border: 1px solid #75c3c3;
    border-radius: 2em;
    padding: 0.5em 1.5em;
    font-size: 86%;
    background: #ffffff;
    cursor: pointer;
    color: #000;
}
.appointment .qf3btn input:hover {
    background: #FFA855; /*цвет кнопки ОТПРАВИТЬ при наведении*/
}

/* link */
.appointment .qfcapt {
    text-align: right;
}

.appointment .qfcapt a {
    color: #042df5;
    font-size: 10px;
}

.appointment .nfl {
    display: none;
}

/* qf_checkbox */
.appointment .qf_checkbox .qf3label {
    margin: 1em 1em 0 0;
    display: inline-block;
}

.appointment .qf_checkbox .qfempty {
    margin: 0;
}

.appointment .qf_checkbox input {
    position: absolute;
    z-index: -1;
    opacity: 0;
}

.appointment .qf_checkbox .chbxlabel {
    position: relative;
    padding: 0.3em 0 0 4em;
    cursor: pointer;
    font-size: 92%;
}

.appointment .qf_checkbox .chbxlabel:before {
    content: '';
    font-size: 80%;
    position: absolute;
    top: 0;
    left: 0;
    width: 3.7em;
    height: 1.8em;
    border: 0;
    border-radius: 1em;
    background: #fcfcfc; 
    box-shadow: inset 0 2px 3px rgba(0, 0, 0, .2);
    transition: .2s;
}

.appointment .qf_checkbox .chbxlabel:after {
    content: '';
    font-size: 80%;
    position: absolute;
    top: 0.1em;
    left: 0.1em;
    width: 1.6em;
    height: 1.5em;
    border: 0;
    border-radius: 1em;
    background: #FFF;
    box-shadow: 0 2px 5px rgba(0, 0, 0, .2);
    transition: .2s;
}

.appointment .qf_checkbox input:checked+.chbxlabel:before {
    background: #FFA855; /*цвет выбранного чекбокса*/
}

.appointment .qf_checkbox input:checked+.chbxlabel:after {
    left: 2em;
}

/* compact */
.appointment.compact .qfchkbx, .appointment.compact .apotopflex > div, .appointment.compact .qfflex > div, .appointment.compact .apomidleflex > div {
    width: 100%;
    max-width: initial;
}
.appointment.compact .apotopflex {
    height: auto;
}
.appointment.compact .apotopflex > div {
    padding: 0;
}

.appointment .qfhide {
    width: 1px;
    overflow: hidden;
    display: inline-block;
    opacity: 0;
}

